# muk-postfach

Repository für die Implementierung des Zugangs zu 'Mein Unternehmenskonto'.

Informationen über den Zugang findet man
im [Self Service Portal des bundesweit einheitlichen Unternehmenskontos](https://service.mein-unternehmenskonto.de/)

Für den Zugang zum Self Service Portal wird ein ELSTER-Organisationszertifikat benötigt.

Die Transfer-Klassen werden aus der OpenAPI Beschreibung generiert.
Es wird das Elster-Transfer Programm verwendet.

* [Elster Transfer Dokumentation](https://www.elster.de/elsterweb/infoseite/download_elster-transfer)
* [Elster Transfer OpenAPi Dokumentation](https://download.elster.de/download/elstertransfer/handbuecher/elster-transfer-3.6.0-rest-api-docs.yaml)
* [Maven OpenApi CodeGen](https://github.com/OpenAPITools/openapi-generator/tree/master/modules/openapi-generator-maven-plugin)

## Einstellungen

Siehe [MukPostfachProperties](src/main/java/de/ozgcloud/nachrichten/postfach/muk/MukPostfachProperties.java)

## Docker Image Aktualisieren

* Download das neueste Image von https://www.elster.de/elsterweb/infoseite/download_elster-transfer
* Lade das Image mit ```docker load --input ELSTER-Transfer-24.04-Docker-Image.tar.gz```
* Tagge das Image ```docker tag etr:24.04 docker.ozg-sh.de/etr:24.04.0```
* Push das Image ```docker push docker.ozg-sh.de/etr:24.04.0```

## Elster Transfer Sandbox starten

Sandbox Container erstellen

Sandbox Image von Download das neueste Image von https://www.elster.de/elsterweb/infoseite/download_elster-transfer
runterladen.

**Wichtig**: Die Verzeichnisse etr/etr-01/etc/ und etr/etr-01/var/ müssen angelegt sein un die Gruppe mit der ID 1000
muss darauf schreiben und lesen können

```shell
docker create -p "32770:8081" --name etr-01-sandbox -v ${PWD}/etr/etr-01/var/:/home/etr/ -v ${PWD}/etr/etr-01/etc/:/opt/ELSTER-Transfer/etr/etr-01/config/:ro --env-file /home/local/MGM/jreese/Projekte/ozg/Unternehmenskonto/etr/etr-01/etc/secrets.env etr-sandbox:24.04
```

Container starten

```shell
docker container start -i etr-01-sandbox
```

